<!-- TITLE -->
<h2 class="projectDate">March 2019 - April 2019</h2>
<!-- DESCRIPTION -->
<p class="projectExplaination">The purpose of this project is to show the development of Boston over time since 2009. We used the <a class="projectRef" href="https://data.boston.gov/dataset/approved-building-permits">Approved Building Permits Database</a> found on <a class="projectRef" href="https://data.boston.gov/">Boston's Dataset Website</a>. The dataset was imported into MySQL, our backend database management system.The frontend was coded with HTML, CSS, and JavaScript. When a user interacts with the frontend website, requests are made to the backend using Node.js for a particular SQL database query. In particular, we used the Express web application framework. I worked with more than 400,000 permit data.</p>
<p class="projectExplaination">I developed this project before I knew how git worked. Here is a <a class="projectRef" href="https://drive.google.com/open?id=1yMuRt7s8gGpGvxqsL3Z8E-EPTvMTiNBA">Google Drive link</a> to the files I developed.</p>

<table>
<tbody>
<tr>
<td width="33%">Boston Development Data</td>
<td width="33%">Boston Development Backend Code</td>
<td width="33%">Boston Development Express API from Node.js</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/82hPSId.png" alt="Boston Development Data Photo"></td>
<td>
          <img src="https://i.imgur.com/rpKPjt2.png" alt="Boston Development Backend Code Photo"></td>
<td>
          <img src="https://i.imgur.com/gIKSUCn.png" alt="Boston Development Express Photo"></td>
</tr>
</tbody>
</table>
<table>
<tbody>
<tr>
<td width="33%">Boston Development Frontend Code</td>
<td width="33%">Boston Development OpenLayers Map API</td>
<td width="33%">Boston Development Final Webpage</td>
</tr>
<tr>
<td>
          <img src="https://i.imgur.com/2Cdxt6C.png" alt="Boston Development Frontend Code Photo"></td>
<td>
          <img src="https://i.imgur.com/79ofRTV.png" alt="Boston Development OpenLayers Map API Photo"></td>
<td>
          <img src="https://i.imgur.com/1cPXW9O.jpg" alt="Boston Development Final Webpage Photo"></td>
</tr>
</tbody>
</table>
<a class="moreInfoRef" href="/">Go Home</a>
